# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/bin/cmake

# The command to remove a file.
RM = /usr/local/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build

#=============================================================================
# Directory level rules for the build root directory

# The main recursive "all" target.
all: CMakeFiles/RASTER.dir/all
all: CMakeFiles/glad.dir/all
.PHONY : all

# The main recursive "codegen" target.
codegen: CMakeFiles/RASTER.dir/codegen
codegen: CMakeFiles/glad.dir/codegen
.PHONY : codegen

# The main recursive "preinstall" target.
preinstall:
.PHONY : preinstall

# The main recursive "clean" target.
clean: CMakeFiles/RASTER.dir/clean
clean: CMakeFiles/glad.dir/clean
clean: libraries/glfw/clean
clean: libraries/glm/clean
.PHONY : clean

#=============================================================================
# Directory level rules for directory libraries/glfw

# Recursive "all" directory target.
libraries/glfw/all: libraries/glfw/src/all
libraries/glfw/all: libraries/glfw/docs/all
.PHONY : libraries/glfw/all

# Recursive "codegen" directory target.
libraries/glfw/codegen: libraries/glfw/src/codegen
libraries/glfw/codegen: libraries/glfw/docs/codegen
.PHONY : libraries/glfw/codegen

# Recursive "preinstall" directory target.
libraries/glfw/preinstall: libraries/glfw/src/preinstall
libraries/glfw/preinstall: libraries/glfw/docs/preinstall
.PHONY : libraries/glfw/preinstall

# Recursive "clean" directory target.
libraries/glfw/clean: libraries/glfw/CMakeFiles/uninstall.dir/clean
libraries/glfw/clean: libraries/glfw/src/clean
libraries/glfw/clean: libraries/glfw/docs/clean
.PHONY : libraries/glfw/clean

#=============================================================================
# Directory level rules for directory libraries/glfw/docs

# Recursive "all" directory target.
libraries/glfw/docs/all:
.PHONY : libraries/glfw/docs/all

# Recursive "codegen" directory target.
libraries/glfw/docs/codegen:
.PHONY : libraries/glfw/docs/codegen

# Recursive "preinstall" directory target.
libraries/glfw/docs/preinstall:
.PHONY : libraries/glfw/docs/preinstall

# Recursive "clean" directory target.
libraries/glfw/docs/clean:
.PHONY : libraries/glfw/docs/clean

#=============================================================================
# Directory level rules for directory libraries/glfw/src

# Recursive "all" directory target.
libraries/glfw/src/all: libraries/glfw/src/CMakeFiles/glfw.dir/all
.PHONY : libraries/glfw/src/all

# Recursive "codegen" directory target.
libraries/glfw/src/codegen: libraries/glfw/src/CMakeFiles/glfw.dir/codegen
.PHONY : libraries/glfw/src/codegen

# Recursive "preinstall" directory target.
libraries/glfw/src/preinstall:
.PHONY : libraries/glfw/src/preinstall

# Recursive "clean" directory target.
libraries/glfw/src/clean: libraries/glfw/src/CMakeFiles/glfw.dir/clean
libraries/glfw/src/clean: libraries/glfw/src/CMakeFiles/update_mappings.dir/clean
.PHONY : libraries/glfw/src/clean

#=============================================================================
# Directory level rules for directory libraries/glm

# Recursive "all" directory target.
libraries/glm/all: libraries/glm/glm/all
.PHONY : libraries/glm/all

# Recursive "codegen" directory target.
libraries/glm/codegen: libraries/glm/glm/codegen
.PHONY : libraries/glm/codegen

# Recursive "preinstall" directory target.
libraries/glm/preinstall: libraries/glm/glm/preinstall
.PHONY : libraries/glm/preinstall

# Recursive "clean" directory target.
libraries/glm/clean: libraries/glm/glm/clean
.PHONY : libraries/glm/clean

#=============================================================================
# Directory level rules for directory libraries/glm/glm

# Recursive "all" directory target.
libraries/glm/glm/all: libraries/glm/glm/CMakeFiles/glm.dir/all
.PHONY : libraries/glm/glm/all

# Recursive "codegen" directory target.
libraries/glm/glm/codegen: libraries/glm/glm/CMakeFiles/glm.dir/codegen
.PHONY : libraries/glm/glm/codegen

# Recursive "preinstall" directory target.
libraries/glm/glm/preinstall:
.PHONY : libraries/glm/glm/preinstall

# Recursive "clean" directory target.
libraries/glm/glm/clean: libraries/glm/glm/CMakeFiles/glm.dir/clean
.PHONY : libraries/glm/glm/clean

#=============================================================================
# Target rules for target CMakeFiles/RASTER.dir

# All Build rule for target.
CMakeFiles/RASTER.dir/all: CMakeFiles/glad.dir/all
CMakeFiles/RASTER.dir/all: libraries/glfw/src/CMakeFiles/glfw.dir/all
CMakeFiles/RASTER.dir/all: libraries/glm/glm/CMakeFiles/glm.dir/all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/RASTER.dir/build.make CMakeFiles/RASTER.dir/depend
	$(MAKE) $(MAKESILENT) -f CMakeFiles/RASTER.dir/build.make CMakeFiles/RASTER.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=1,2,3,4,5 "Built target RASTER"
.PHONY : CMakeFiles/RASTER.dir/all

# Build rule for subdir invocation for target.
CMakeFiles/RASTER.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 31
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 CMakeFiles/RASTER.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
.PHONY : CMakeFiles/RASTER.dir/rule

# Convenience name for target.
RASTER: CMakeFiles/RASTER.dir/rule
.PHONY : RASTER

# codegen rule for target.
CMakeFiles/RASTER.dir/codegen:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/RASTER.dir/build.make CMakeFiles/RASTER.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=1,2,3,4,5 "Finished codegen for target RASTER"
.PHONY : CMakeFiles/RASTER.dir/codegen

# clean rule for target.
CMakeFiles/RASTER.dir/clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/RASTER.dir/build.make CMakeFiles/RASTER.dir/clean
.PHONY : CMakeFiles/RASTER.dir/clean

#=============================================================================
# Target rules for target CMakeFiles/glad.dir

# All Build rule for target.
CMakeFiles/glad.dir/all:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/glad.dir/build.make CMakeFiles/glad.dir/depend
	$(MAKE) $(MAKESILENT) -f CMakeFiles/glad.dir/build.make CMakeFiles/glad.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=6,7 "Built target glad"
.PHONY : CMakeFiles/glad.dir/all

# Build rule for subdir invocation for target.
CMakeFiles/glad.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 CMakeFiles/glad.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
.PHONY : CMakeFiles/glad.dir/rule

# Convenience name for target.
glad: CMakeFiles/glad.dir/rule
.PHONY : glad

# codegen rule for target.
CMakeFiles/glad.dir/codegen:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/glad.dir/build.make CMakeFiles/glad.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=6,7 "Finished codegen for target glad"
.PHONY : CMakeFiles/glad.dir/codegen

# clean rule for target.
CMakeFiles/glad.dir/clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/glad.dir/build.make CMakeFiles/glad.dir/clean
.PHONY : CMakeFiles/glad.dir/clean

#=============================================================================
# Target rules for target libraries/glfw/CMakeFiles/uninstall.dir

# All Build rule for target.
libraries/glfw/CMakeFiles/uninstall.dir/all:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/CMakeFiles/uninstall.dir/build.make libraries/glfw/CMakeFiles/uninstall.dir/depend
	$(MAKE) $(MAKESILENT) -f libraries/glfw/CMakeFiles/uninstall.dir/build.make libraries/glfw/CMakeFiles/uninstall.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num= "Built target uninstall"
.PHONY : libraries/glfw/CMakeFiles/uninstall.dir/all

# Build rule for subdir invocation for target.
libraries/glfw/CMakeFiles/uninstall.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libraries/glfw/CMakeFiles/uninstall.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
.PHONY : libraries/glfw/CMakeFiles/uninstall.dir/rule

# Convenience name for target.
uninstall: libraries/glfw/CMakeFiles/uninstall.dir/rule
.PHONY : uninstall

# codegen rule for target.
libraries/glfw/CMakeFiles/uninstall.dir/codegen:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/CMakeFiles/uninstall.dir/build.make libraries/glfw/CMakeFiles/uninstall.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num= "Finished codegen for target uninstall"
.PHONY : libraries/glfw/CMakeFiles/uninstall.dir/codegen

# clean rule for target.
libraries/glfw/CMakeFiles/uninstall.dir/clean:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/CMakeFiles/uninstall.dir/build.make libraries/glfw/CMakeFiles/uninstall.dir/clean
.PHONY : libraries/glfw/CMakeFiles/uninstall.dir/clean

#=============================================================================
# Target rules for target libraries/glfw/src/CMakeFiles/glfw.dir

# All Build rule for target.
libraries/glfw/src/CMakeFiles/glfw.dir/all:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/glfw.dir/build.make libraries/glfw/src/CMakeFiles/glfw.dir/depend
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/glfw.dir/build.make libraries/glfw/src/CMakeFiles/glfw.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29 "Built target glfw"
.PHONY : libraries/glfw/src/CMakeFiles/glfw.dir/all

# Build rule for subdir invocation for target.
libraries/glfw/src/CMakeFiles/glfw.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 22
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libraries/glfw/src/CMakeFiles/glfw.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
.PHONY : libraries/glfw/src/CMakeFiles/glfw.dir/rule

# Convenience name for target.
glfw: libraries/glfw/src/CMakeFiles/glfw.dir/rule
.PHONY : glfw

# codegen rule for target.
libraries/glfw/src/CMakeFiles/glfw.dir/codegen:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/glfw.dir/build.make libraries/glfw/src/CMakeFiles/glfw.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29 "Finished codegen for target glfw"
.PHONY : libraries/glfw/src/CMakeFiles/glfw.dir/codegen

# clean rule for target.
libraries/glfw/src/CMakeFiles/glfw.dir/clean:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/glfw.dir/build.make libraries/glfw/src/CMakeFiles/glfw.dir/clean
.PHONY : libraries/glfw/src/CMakeFiles/glfw.dir/clean

#=============================================================================
# Target rules for target libraries/glfw/src/CMakeFiles/update_mappings.dir

# All Build rule for target.
libraries/glfw/src/CMakeFiles/update_mappings.dir/all:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/update_mappings.dir/build.make libraries/glfw/src/CMakeFiles/update_mappings.dir/depend
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/update_mappings.dir/build.make libraries/glfw/src/CMakeFiles/update_mappings.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=32 "Built target update_mappings"
.PHONY : libraries/glfw/src/CMakeFiles/update_mappings.dir/all

# Build rule for subdir invocation for target.
libraries/glfw/src/CMakeFiles/update_mappings.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 1
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libraries/glfw/src/CMakeFiles/update_mappings.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
.PHONY : libraries/glfw/src/CMakeFiles/update_mappings.dir/rule

# Convenience name for target.
update_mappings: libraries/glfw/src/CMakeFiles/update_mappings.dir/rule
.PHONY : update_mappings

# codegen rule for target.
libraries/glfw/src/CMakeFiles/update_mappings.dir/codegen:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/update_mappings.dir/build.make libraries/glfw/src/CMakeFiles/update_mappings.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=32 "Finished codegen for target update_mappings"
.PHONY : libraries/glfw/src/CMakeFiles/update_mappings.dir/codegen

# clean rule for target.
libraries/glfw/src/CMakeFiles/update_mappings.dir/clean:
	$(MAKE) $(MAKESILENT) -f libraries/glfw/src/CMakeFiles/update_mappings.dir/build.make libraries/glfw/src/CMakeFiles/update_mappings.dir/clean
.PHONY : libraries/glfw/src/CMakeFiles/update_mappings.dir/clean

#=============================================================================
# Target rules for target libraries/glm/glm/CMakeFiles/glm.dir

# All Build rule for target.
libraries/glm/glm/CMakeFiles/glm.dir/all:
	$(MAKE) $(MAKESILENT) -f libraries/glm/glm/CMakeFiles/glm.dir/build.make libraries/glm/glm/CMakeFiles/glm.dir/depend
	$(MAKE) $(MAKESILENT) -f libraries/glm/glm/CMakeFiles/glm.dir/build.make libraries/glm/glm/CMakeFiles/glm.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=30,31 "Built target glm"
.PHONY : libraries/glm/glm/CMakeFiles/glm.dir/all

# Build rule for subdir invocation for target.
libraries/glm/glm/CMakeFiles/glm.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 2
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libraries/glm/glm/CMakeFiles/glm.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles 0
.PHONY : libraries/glm/glm/CMakeFiles/glm.dir/rule

# Convenience name for target.
glm: libraries/glm/glm/CMakeFiles/glm.dir/rule
.PHONY : glm

# codegen rule for target.
libraries/glm/glm/CMakeFiles/glm.dir/codegen:
	$(MAKE) $(MAKESILENT) -f libraries/glm/glm/CMakeFiles/glm.dir/build.make libraries/glm/glm/CMakeFiles/glm.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/Users/AfonsoCMSosua/Developer/C++/CPP-PPRasteriser/build/CMakeFiles --progress-num=30,31 "Finished codegen for target glm"
.PHONY : libraries/glm/glm/CMakeFiles/glm.dir/codegen

# clean rule for target.
libraries/glm/glm/CMakeFiles/glm.dir/clean:
	$(MAKE) $(MAKESILENT) -f libraries/glm/glm/CMakeFiles/glm.dir/build.make libraries/glm/glm/CMakeFiles/glm.dir/clean
.PHONY : libraries/glm/glm/CMakeFiles/glm.dir/clean

#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

